curl --request GET \
--url 'https://api-sandbox.uqpaytech.com/api/v1/stocks/order' \
--header "Content-Type: application/json" \
--header "x-auth-token: Bearer ${SANDBOX_TOKEN}"
{
"data": [
{
"transfer_quantity": null,
"order_id": "53fe3d55-85ff-4804-b6f0-a25a32aa082f",
"quote_id": "0576b03b-56dd-48b1-ba24-058ce90d0f53",
"client_reference": "stocks-docs-20260921-buy-01",
"asset_id": "7453f146-b267-11f1-b4f4-0abd773ba497",
"symbol": "AAPLx",
"side": "BUY",
"status": "PENDING",
"network": "Ethereum",
"funding_currency": "USDC",
"quoted_quantity": "0.00297066689243735",
"executed_quantity": null,
"executed_price": null,
"cash_amount": null,
"fees": null,
"total_amount": null,
"transaction_hash": "0x7e7b7f06c0a4adce2ec2bc01b455fd4e014b9f298e7e2598b02c93dffa86a96f",
"failure_code": null,
"failure_message": null,
"created_at": "2026-09-21T01:33:08.629Z",
"updated_at": "2026-09-21T01:36:07.196Z",
"completed_at": null,
"failed_at": null
}
],
"total_items": 1,
"total_pages": 1
}
List orders
List orders for your account using asset, status, reference, or time filters. Use order_id to retrieve one result in detail.
curl --request GET \
--url 'https://api-sandbox.uqpaytech.com/api/v1/stocks/order' \
--header "Content-Type: application/json" \
--header "x-auth-token: Bearer ${SANDBOX_TOKEN}"
{
"data": [
{
"transfer_quantity": null,
"order_id": "53fe3d55-85ff-4804-b6f0-a25a32aa082f",
"quote_id": "0576b03b-56dd-48b1-ba24-058ce90d0f53",
"client_reference": "stocks-docs-20260921-buy-01",
"asset_id": "7453f146-b267-11f1-b4f4-0abd773ba497",
"symbol": "AAPLx",
"side": "BUY",
"status": "PENDING",
"network": "Ethereum",
"funding_currency": "USDC",
"quoted_quantity": "0.00297066689243735",
"executed_quantity": null,
"executed_price": null,
"cash_amount": null,
"fees": null,
"total_amount": null,
"transaction_hash": "0x7e7b7f06c0a4adce2ec2bc01b455fd4e014b9f298e7e2598b02c93dffa86a96f",
"failure_code": null,
"failure_message": null,
"created_at": "2026-09-21T01:33:08.629Z",
"updated_at": "2026-09-21T01:36:07.196Z",
"completed_at": null,
"failed_at": null
}
],
"total_items": 1,
"total_pages": 1
}
curl --request GET \
--url 'https://api-sandbox.uqpaytech.com/api/v1/stocks/order' \
--header "Content-Type: application/json" \
--header "x-auth-token: Bearer ${SANDBOX_TOKEN}"
{
"data": [
{
"transfer_quantity": null,
"order_id": "53fe3d55-85ff-4804-b6f0-a25a32aa082f",
"quote_id": "0576b03b-56dd-48b1-ba24-058ce90d0f53",
"client_reference": "stocks-docs-20260921-buy-01",
"asset_id": "7453f146-b267-11f1-b4f4-0abd773ba497",
"symbol": "AAPLx",
"side": "BUY",
"status": "PENDING",
"network": "Ethereum",
"funding_currency": "USDC",
"quoted_quantity": "0.00297066689243735",
"executed_quantity": null,
"executed_price": null,
"cash_amount": null,
"fees": null,
"total_amount": null,
"transaction_hash": "0x7e7b7f06c0a4adce2ec2bc01b455fd4e014b9f298e7e2598b02c93dffa86a96f",
"failure_code": null,
"failure_message": null,
"created_at": "2026-09-21T01:33:08.629Z",
"updated_at": "2026-09-21T01:36:07.196Z",
"completed_at": null,
"failed_at": null
}
],
"total_items": 1,
"total_pages": 1
}
Authorizations
The API token for login provided by UQPAY.
Query Parameters
The page number to retrieve.
1 <= x <= 1000000The maximum number of items to return per page.
1 <= x <= 100Filter by asset symbol.
32Asset identifier returned by List assets.
Filter by the reference supplied when creating the order.
1 - 100Filter by the public order processing state.
PENDING, SUCCESS, FAILED Inclusive start of the creation-time window. When both are provided, from must be earlier than to.
Exclusive end of the creation-time window. When both are provided, from must be earlier than to.
Response
Success
Items on this page. An empty array can indicate no matches or a page beyond the last result.
Show child attributes
Show child attributes
Number of result pages for the requested page size.
x >= 01
Number of matching items across all pages.
x >= 01

